/*
 * Copyright 2002 - 2007 JEuclid, http://jeuclid.sf.net
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* $Id: Mi.java 145 2007-04-22 15:48:20Z maxberger $ */

package net.sourceforge.jeuclid.elements.presentation.token;

import net.sourceforge.jeuclid.MathBase;

/**
 * This class presents a mathematical idenifier, like "x".
 * 
 * @author Unknown
 * @author Max Berger
 * @version $Revision: 145 $
 */
public class Mi extends AbstractTokenWithStandardLayout {
    /**
     * The XML element from this class.
     */
    public static final String ELEMENT = "mi";

    /**
     * Default constructor.
     * 
     * @param base
     *            The base for math element
     */
    public Mi(final MathBase base) {
        super(base);
        this.setDefaultMathAttribute(ATTR_MATHVARIANT, "italic");
    }

    /** {@inheritDoc} */
    public String getTagName() {
        return Mi.ELEMENT;
    }
}
